namespace ServiceBase;

/// <summary>
/// EEMS UI -> EEMS Server
/// </summary>
public interface IUICaller
{
    Task<IEnumerable<DeviceInfo>> RequestDeviceLists();
    Task<bool> UpdateDeviceInfo(DeviceInfo deviceInfo);
    Task<bool> RemoveDevice(Guid guid);
}

/// <summary>
/// EEMS Server -> EEMS UI
/// </summary>
public interface IUIProvider
{
    Task<bool> UpdateDeviceList(IEnumerable<DeviceInfo> device);
    Task<bool> UpdateDevice(DeviceInfo device);
    Task<bool> InsertNewDevice(DeviceInfo deviceInfo);
    Task<bool> UpdateRealtimeData(Guid guid, Dictionary<string, object> data);
    Task<bool> UpdateAlarm(IEnumerable<Alarm> alarms);
    Task<bool> UpdateRecipeInfo(Recipe recipeInfo);
}

public enum FileType : byte
{
    Config,
    Recipe
}